## ns2 2.35+dfsg

=== doc/Makefile ===
#
# $Id: Makefile,v 1.38 2010/05/09 21:55:55 tom_henderson Exp $
#

# by default, just assume latex2html is in the user's path
LATEX2HTML=	latex2html
L2H_WORKING_DIR = ./l2h
WEB_TARGET_DIR = /nfs/web/isi.edu/htdocs/division7/nsnam/ns/doc

LATEX=          latex
BIBTEX=         bibtex
DVIPS=          dvips
CP=		/bin/cp
RM=		/bin/rm

FILES= \
	asim.tex \
	agents.tex \
	applications.tex \
	worm-model.tex \
	basic.tex \
	delays.tex \
	dynamics.tex \
	emulation.tex \
	error_model.tex \
	everything.tex \
	lan.tex \
	links.tex \
	math.tex \
	multicast.tex \
	nodes.tex \
	otcl.tex \
	packet_format.tex \
	queue_mgmt.tex \
	session.tex \
	sim.tex \
	srm.tex \
	tcp.tex \
	timers.tex \
	trace.tex \
	udp.tex \
	undocumented.tex \
	unicast.tex \
	webcache.tex \
	address.tex \
	hier-rtg.tex \
	mobility.tex \
	newnode.tex \
	debug.tex \
	namtrace.tex \
	energymodel.tex \
	plm.tex \
	propagation.tex \
	testsuite.tex \
	diffserv.tex \
	educational.tex \
	codestyle.tex \
	diffusion.tex \
	sctp.tex \
	xcp.tex

all: everything.dvi everything.ps.gz everything.html everything.pdf

html-pre-process:
	$(RM) -rf $(L2H_WORKING_DIR)
	mkdir $(L2H_WORKING_DIR)
	$(CP) -r *.sty *.tex *.aux *.bib *.bbl *.log figures/*.eps $(L2H_WORKING_DIR)
	cd $(L2H_WORKING_DIR); 	../pre-process.pl .

html-process:
	cd $(L2H_WORKING_DIR); $(LATEX2HTML) -local_icons -toc_depth 6 -show_section_numbers everything.tex

html-post-process:
	cd $(L2H_WORKING_DIR)/everything; ../../post-process.pl .

everything.html: html-pre-process html-process html-post-process
	@echo html results are in  $(L2H_WORKING_DIR)/everything


everything.ps: $(FILES) everything.dvi
	dvips -f everything >everything.ps

everything.ps.gz: $(FILES) everything.dvi everything.ps
	gzip < everything.ps >everything.ps.gz

everything.pdf: $(FILES) everything.ps
	ps2pdf everything.ps

everything.dvi: $(FILES)
	$(LATEX) everything
	@if egrep 'Rerun to get' everything.log; then echo 'Relatexing for cross-references.'; $(LATEX) everything; fi

gv: everything.ps $(FILES)
	gv everything.ps

# xxx: doesn't redo bibliography
clean:
	rm -f *.aux *.log *.toc everything.dvi everything.ps everything.pdf

ns-doc-auto:
	$(MAKE) everything.ps.gz
	$(MAKE) everything.pdf
	$(MAKE) everything.html
	cp everything.ps.gz  $(WEB_TARGET_DIR)/ns_doc.ps.gz
	cp everything.pdf $(WEB_TARGET_DIR)/ns_doc.pdf
	cp $(L2H_WORKING_DIR)/everything/*.{html,css} $(WEB_TARGET_DIR)
	cp $(L2H_WORKING_DIR)/everything/*.png $(WEB_TARGET_DIR)

=== doc/kfall/Makefile ===
#
# Makefile for vint docs
#

SRCDOCS=	everything.tex
DVIOUT=		everything.dvi
POSTOUT=	everything.ps
CONVERT=	fig2dev
PICTURES= \
	agent.eps \
	mcast_classes.eps \
	multinode.eps \
	node.eps packet.eps


LATEX=		latex
DVIPS=		dvips

.SUFFIXES:	.dvi .eps .tex .fig .ps
##.PRECIOUS:	$(DVIOUT)

all: doit $(PICTURES) $(POSTOUT)
$(POSTOUT): $(DVIOUT)
	
.tex.dvi:
	$(LATEX) $*
	rm -f $*.b[bl]
	$(LATEX) $*
	$(LATEX) $*

.dvi.ps:
	$(DVIPS) -o $@ $<

.fig.eps:
	rm -f $@
	$(CONVERT) -L pstex $< > $@

doit:
	rm -f $(POSTOUT)
	rm -f *.bbl *.blg

clean: doit

veryclean: clean
	rm -f *.aux
	rm -f $(PICTURES) $(DVIOUT)

=== indep-utils/dosdbell/Makefile ===
CC=gcc
DFLAGS= -g
LIB=-lm

all : dosdbell dosdbellasim

dosdbell: dosdbell.o dostraffic.o models.o flowlist.o
	$(CC) $(DFLAGS) -o dosdbell dosdbell.o dostraffic.o models.o flowlist.o $(LIB)

dosdbellasim: dosdbellasim.o dostraffic.o models.o flowlist.o
	$(CC) $(DFLAGS) -o dosdbellasim dosdbellasim.o dostraffic.o models.o flowlist.o $(LIB)

dosdbelliasim.o: dosdbellasim.c dosdbell.h dostraffic.h flowlist.h
	$(CC) -c dosdbellasim.c $(CIDIR) $(DFLAGS) 
	
dosdbell.o: dosdbell.c dosdbell.h dostraffic.h flowlist.h
	$(CC) -c dosdbell.c $(CIDIR) $(DFLAGS) 

dostraffic.o: dostraffic.c dostraffic.h 
	$(CC) -c dostraffic.c $(CIDIR) $(DFLAGS)

models.o: models.c models.h 
	$(CC) -c models.c $(CIDIR) $(DFLAGS)

flowlist.o: flowlist.c flowlist.h 
	$(CC) -c flowlist.c $(CIDIR) $(DFLAGS)

clean:
	rm -f *.o
	rm -f dosdbell

=== indep-utils/model-gen/Makefile ===
######
CC = gcc
.c.o:
	$(CC) -g  -c $*.c

all: http_connect http_active
	$(CC) -g -o http_connect http_connect.o 

http_connect: http_connect.o 
	$(CC) -g -o http_connect http_connect.o 

http_active: http_active.o 
	$(CC) -g -o http_active http_active.o 

clean:  
	rm *.o http_connect http_active *.dat *.cdf core* inbound.* outbound.*

=== indep-utils/webtrace-conv/Makefile ===
# 
#  Copyright (c) 1999 by the University of Southern California
#  All rights reserved.
# 
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License,
#  version 2, as published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License along
#  with this program; if not, write to the Free Software Foundation, Inc.,
#  59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
#
#  The copyright of this module includes the following
#  linking-with-specific-other-licenses addition:
#
#  In addition, as a special exception, the copyright holders of
#  this module give you permission to combine (via static or
#  dynamic linking) this module with free software programs or
#  libraries that are released under the GNU LGPL and with code
#  included in the standard release of ns-2 under the Apache 2.0
#  license or under otherwise-compatible licenses with advertising
#  requirements (or modified versions of such code, with unchanged
#  license).  You may copy and distribute such a system following the
#  terms of the GNU GPL for this module and the licenses of the
#  other code concerned, provided that you include the source code of
#  that other code when and as the GNU GPL requires distribution of
#  source code.
#
#  Note that people who make modified versions of this module
#  are not obligated to grant this special exception for their
#  modified versions; it is their choice whether to do so.  The GNU
#  General Public License gives permission to release a modified
#  version without this exception; this exception also makes it
#  possible to release a modified version which carries forward this
#  exception.
# 
# $Header: /cvsroot/nsnam/ns-2/indep-utils/webtrace-conv/Makefile,v 1.2 2005/09/16 03:05:40 tomh Exp $

all: 
	@for d in ucb dec epa nlanr ; \
	do \
	  echo making in directory $$d; \
	  (cd $$d; make all;) \
	done;

clean:
	@for d in ucb dec epa nlanr ; \
	do \
	  echo making in directory $$d; \
	  (cd $$d; make clean;) \
	done;

=== emulate/support/src/nrgarp/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 4/18/94

PROG=	nrgarp
MAN8=	nrgarp.8
COPTS+=	-Wall -g

.include <bsd.prog.mk>

## ns2 2.35~RC5

=== debian/changelog ===
ns2 (2.35~RC5-1) unstable; urgency=low

  * new upstream version 
  * modify descript (Closes: #584642)
  * add suggestion of ns2 in ns2-examples
  * add doc-base

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 30 Jun 2010 14:33:57 +0800

ns2 (2.35~RC4-1) unstable; urgency=low

  * New upstream version

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 02 Jun 2010 08:52:57 +0800

ns2 (2.35~RC3-1) unstable; urgency=low

  * Initial release (Closes: #576241)

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 02 Apr 2010 08:52:57 +0800

=== debian/control ===
Source: ns2
Section: net
Priority: optional
Maintainer: YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, tcl8.4-dev, tk8.4-dev, libxext-dev, libotcl1-dev, tclcl, tclcl-dev, perl (>=5.003), xgraph
Standards-Version: 3.9.0
Vcs-git: git://github.com/wzssyqa/ns2-debian.git
Vcs-Browser: http://github.com/wzssyqa/ns2-debian
Homepage: http://www.isi.edu/nsnam/ns/

Package: ns2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnuplot
Description: a discrete event simulator targeted at networking research
 Ns-2 provides substantial support for simulation of TCP, routing, 
 and multicast protocols over wired and wireless (local and satellite) 
 networks.
 Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.
 . 
 Ns began as a variant of the REAL network simulator in 1989 and has 
 evolved substantially over the past few years. In 1995 ns development 
 was supported by DARPA through the VINT project  at LBL, Xerox PARC, 
 UCB, and USC/ISI. Currently ns development is support through DARPA 
 with SAMAN  and through NSF with CONSER, both in collaboration with 
 other researchers including ACIRI. Ns has always included substantal 
 contributions from other researchers, including wireless code from the 
 UCB Daedelus and CMU Monarch projects and Sun Microsystems.

Package: ns2-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Description: docs of ns2
 Ns-2 provides substantial support for simulation of TCP, routing, 
 and multicast protocols over wired and wireless (local and satellite) 
 networks.
 Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.
 . 
 Ns began as a variant of the REAL network simulator in 1989 and has 
 evolved substantially over the past few years. In 1995 ns development 
 was supported by DARPA through the VINT project  at LBL, Xerox PARC, 
 UCB, and USC/ISI. Currently ns development is support through DARPA 
 with SAMAN  and through NSF with CONSER, both in collaboration with 
 other researchers including ACIRI. Ns has always included substantal 
 contributions from other researchers, including wireless code from the 
 UCB Daedelus and CMU Monarch projects and Sun Microsystems.
 .
 This package contains docs of ns2

Package: ns2-examples
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ns2
Description: examples of ns2
 Ns-2 provides substantial support for simulation of TCP, routing, 
 and multicast protocols over wired and wireless (local and satellite) 
 networks.
 Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.
 . 
 Ns began as a variant of the REAL network simulator in 1989 and has 
 evolved substantially over the past few years. In 1995 ns development 
 was supported by DARPA through the VINT project  at LBL, Xerox PARC, 
 UCB, and USC/ISI. Currently ns development is support through DARPA 
 with SAMAN  and through NSF with CONSER, both in collaboration with 
 other researchers including ACIRI. Ns has always included substantal 
 contributions from other researchers, including wireless code from the 
 UCB Daedelus and CMU Monarch projects and Sun Microsystems.
 .
 This package contains examples of ns2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# in doc dir ,make will be failed.

%:
	dh  $@

# these files have something warning
override_dh_auto_clean:
	dh_auto_clean -a
	find . -name "*.o" -exec rm {} \;
	find . -name ".cvsignore" -exec rm {} \;

override_dh_auto_install:

override_dh_auto_test:
	#it takes too long time.

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.html

=== debian/watch ===
version=3
opts="uversionmangle=s/-RC/~RC/" \
http://www.isi.edu/nsnam/dist/release/ns-(2\..*)\.tar\.gz

## ns2 2.35~RC6

=== debian/changelog ===
ns2 (2.35~RC6-4ubuntu1) oneiric; urgency=low

  * missing-header.h: fix FTBFS (LP: #771094).

 -- Ilya Barygin <barygin@gmail.com>  Sat, 02 Jul 2011 17:20:47 +0400

ns2 (2.35~RC6-4) unstable; urgency=low

  * add DM-Upload-Allowed: yes
  * update VCS info: go to git.debian.org now.
  * workaround FTBFS on kfreebsd-* (Closes: #619684)
  	assigned it to libpcap

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Apr 2011 14:56:30 +0800

ns2 (2.35~RC6-3) unstable; urgency=low

  * build nse now
  	add build dep libpcap0.8-dev 
  	and patch for  moving tclcl's headers
  * fix FTBFS for gcc 4.5 (Closes: #618105)

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 21 Mar 2011 15:56:30 +0800

ns2 (2.35~RC6-2) unstable; urgency=low

  * depends on tk-dev and tcl-dev instead 8.4 one
  * depends on libxt-dev now,fixed FTBFS (Closes: #613021) 

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 28 Feb 2011 00:26:30 +0800

ns2 (2.35~RC6-1) unstable; urgency=low

  * new upstream version.
  * bump standard to 3.9.1.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 17 Sep 2010 14:29:37 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: ns2
 Section: net
 Priority: optional
-Maintainer: YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, tcl8.4-dev, tk8.4-dev, libxext-dev, libotcl1-dev, tclcl, tclcl-dev, perl (>=5.003), xgraph
-Standards-Version: 3.9.0
-Vcs-git: git://github.com/wzssyqa/ns2-debian.git
-Vcs-Browser: http://github.com/wzssyqa/ns2-debian
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: YunQiang Su <wzssyqa@gmail.com>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, 
+		tcl-dev, tk-dev, libxext-dev, libxt-dev, xgraph, libpcap0.8-dev,
+		libotcl1-dev, tclcl, tclcl-dev (>=1.20~RC3-3), perl (>=5.003)
+Standards-Version: 3.9.1
+Vcs-git: git://git.debian.org/pkg-netsim/ns2.git
+Vcs-Browser: http://git.debian.org/?p=pkg-netsim/ns2.git
 Homepage: http://www.isi.edu/nsnam/ns/
 
 Package: ns2

## ns2 2.35~rc10+dfsg

=== debian/changelog ===
ns2 (2.35~rc10+dfsg-1) unstable; urgency=low
  
  * New upstream RC release.
    drop ftbfs-kfreebsd-bpf.patch, ns-man-Poison-reverse,
    accept by upstream.
  * Install some useful tools in indep-utils.
      patches/install-indep-utils.diff
  * Remove an bin file from source: dfsg it.
      indep-utils/model-gen/crl_to_pcap
      indep-utils/model-gen/output_format.pdf
      indep-utils/model-gen/trace_processing.pdf
      wpan/WPAN_ZBR_pub.pdf
  * switch to team maintain.
  * chmod -x tcl/test/test-sack

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 29 Oct 2011 21:31:47 +0800

ns2 (2.35~rc9-1) unstable; urgency=low

  * New upstream release.
  * drop mac-802_11Ext_missing_cstddef.patch
    Merged into upstream.

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 24 Oct 2011 16:22:36 +0800

ns2 (2.35~RC8-1) unstable; urgency=low

  * New upstream release.
  * drop call-constructor-directly.patch, mergered into upstream.
  * fix FTBFS: expected primary-expression before 'struct'
       add debian/patches/mac-802_11Ext_missing_cstddef.patch
        (Closes: #624935).

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 10 Aug 2011 14:41:03 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ns2
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: YunQiang Su <wzssyqa@gmail.com>
+Maintainer: Debian Network Simulators Team <pkg-netsim-devel@lists.alioth.debian.org>
+Uploaders: YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, 
 		tcl-dev, tk-dev, libxext-dev, libxt-dev, xgraph, libpcap0.8-dev,
 		libotcl1-dev, tclcl, tclcl-dev (>=1.20~RC3-3), perl (>=5.003)
-Standards-Version: 3.9.1
-Vcs-git: git://git.debian.org/pkg-netsim/ns2.git
+Standards-Version: 3.9.2
+Vcs-git: git://git.debian.org/git/pkg-netsim/ns2.git
 Vcs-Browser: http://git.debian.org/?p=pkg-netsim/ns2.git
 Homepage: http://www.isi.edu/nsnam/ns/
 
@@ -16,8 +16,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: gnuplot
-Description: a discrete event simulator targeted at networking research
- Ns-2 provides substantial support for simulation of TCP, routing, 
+Description: Discrete event simulator targeted at networking research
+ Provides substantial support for simulation of TCP, routing, 
  and multicast protocols over wired and wireless (local and satellite) 
  networks.
  Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.
@@ -36,7 +36,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: doc
 Description: docs of ns2
- Ns-2 provides substantial support for simulation of TCP, routing, 
+ Provides substantial support for simulation of TCP, routing, 
  and multicast protocols over wired and wireless (local and satellite) 
  networks.
  Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.
@@ -57,7 +57,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: ns2
 Description: examples of ns2
- Ns-2 provides substantial support for simulation of TCP, routing, 
+ Provides substantial support for simulation of TCP, routing, 
  and multicast protocols over wired and wireless (local and satellite) 
  networks.
  Ns-2 is written in C++ and an Object oriented version of Tcl called OTcl.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 	find . -name ".cvsignore" -exec rm {} \;
 
 override_dh_auto_install:
+	mkdir -p debian/tmp/usr/bin
+	dh_auto_install
 
 override_dh_auto_test:
 	#it takes too long time.

=== debian/watch ===
version=3
opts="dversionmangle=s/~rc(\d+)\+dfsg/-RC$1/" \
http://www.isi.edu/nsnam/dist/release/ns-(2\..*)\.tar\.gz

## ns2 2.35%2Bdfsg

=== debian/changelog ===
ns2 (2.35+dfsg-9build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 20:20:07 +0000

ns2 (2.35+dfsg-9) unstable; urgency=medium

  * Make the build reproducible. Changes:
    - debian/rules: Previous override_dh_install not worked as expected. Fixed.
      Now exclude variable data inside ns2-examples package.
    - debian/source/options: New. Ignore changes in test directory.
  * debian/control:
    - Add Suggests ns2-examples to ns2 Package.
    - Descriptions rewritten.
    - Remove cmake from Build-Depends.
    - Remove Suggests ns2 from ns2-examples Package.
  * debian/docs: Rename to "debian/ns2.docs".
  * debian/rules: override_dh_compress: Exclude also "test-all-template1".
  * debian/salsa-ci.yml: Due to very long running time add
    DEB_BUILD_OPTIONS=nocheck.
  * debian/tests/*: Create autopkgtest.
  * debian/CMakeLists: Remove directory. No longer need.
  * debian/README.Debian: Remove. No longer need.

 -- Marcos Talau <talau@debian.org>  Sun, 09 Mar 2025 17:26:35 -0300

ns2 (2.35+dfsg-8) unstable; urgency=medium

  * New maintainer (Closes: #999653).
  * debian/patches/0011-remove-check-makefile-newer.patch: Remove the
    modification time check between Makefile.in and Makefile.
  * debian/patches/0012-check-makeflags-in-distclean-recursive.patch: Check
    makeflags before running `rm` in distclean-recursive (Closes: #1046780).
  * debian/patches/0013-add-placeholders-to-flags.patch: Add placeholders to
    CFLAGS and LDFLAGS flags for hardening.
  * debian/rules:
    - Add DEB_BUILD_MAINT_OPTIONS to improve the GCC hardening.
    - Some cleanups.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.

 -- Marcos Talau <talau@debian.org>  Mon, 24 Feb 2025 00:07:01 -0300

ns2 (2.35+dfsg-7) unstable; urgency=medium

  * QA upload.
  * Import on Salsa
  * Add patch for "Rules-Requires-Root: no" (Closes: #1089400)
  * Drop obsolete "ns2-dbg" package

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 18:16:52 +0100

ns2 (2.35+dfsg-6) unstable; urgency=medium

  * QA upload.
  * debian/patches/0009-fix-build-with-gcc14.patch: Fix build with GCC 14.
    (Closes: #1075321)

 -- Marcos Talau <talau@debian.org>  Fri, 25 Oct 2024 01:12:01 -0300

ns2 (2.35+dfsg-5) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add override_dh_install to make the build reproducible.
    Thanks to Chris Lamb. (Closes: #858220)
  * debian/patches/0008-fix-build-with-gcc11.patch: New. Fix FTBFS with gcc-11.
    (Closes: #984253)

 -- Marcos Talau <talau@debian.org>  Sun, 20 Nov 2022 15:30:29 -0300

ns2 (2.35+dfsg-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #999653)
  * debian/control: Remove Uploaders field.

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 09:51:57 -0300

ns2 (2.35+dfsg-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 01:31:56 +0100

ns2 (2.35+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Use tracker.d.o address (Closes: #899620)

 -- Aron Xu <aron@debian.org>  Sun, 05 Aug 2018 00:58:43 +0800

ns2 (2.35+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper compat level to 10:
    + don't automatically run dh_autoreconf, as it currently makes the package
      FTBFS.
    + dh_update_autotools_dev run is assured.  Closes: #727930
    + the install target is not parallel-safe, don't run it parallelized.
  * Drop pointless build-dependency on quilt.
  * Add patch fixing build with GCC 6.  Closes: #811808
  * Apply hints from the multiarch hinters adding M-A:foreign to -doc and
    -example and M-A:same to -dbg.
  * Add libperl4-corelibs-perl to build-dependencies, so the tests have an
    actual chance to do some good (testsuite results still being ignored).
  * Respect DEB_BUILD_OPTIONS=nocheck.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Oct 2016 18:44:37 +0000

ns2 (2.35+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove no longer used DMUA.
  * Remove xgraph from B-D, disable the support (Closes: #768716)

 -- Aron Xu <aron@debian.org>  Sun, 09 Nov 2014 21:19:32 +0800

ns2 (2.35+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed FTBFS after adding multiarch capabilities to Tcl/Tk.
  * Defined USE_INTERP_RESULT to quickfix FTBFS after upgrade Tcl/Tk to 8.6.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 01 Oct 2013 11:22:18 +0400

ns2 (2.35+dfsg-1) unstable; urgency=low

  * New upstream stable release.
  * add dfsg-orig tag to debian/rules.
  * add ns2-dbg package.
  * Fix FTBFS (Closes: #654261, #669431).
  * Don't compress tcl and validate files (lp: #939306)

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 03 Jun 2012 13:59:44 +0800

## ns2 2.35+dfsg

=== debian/control ===
Source: ns2
Section: net
Priority: optional
Maintainer: Marcos Talau <talau@debian.org>
Build-Depends: debhelper (>= 10),
     tcl-dev, tk-dev, libxext-dev, libxt-dev, libpcap0.8-dev,
     libotcl1-dev, tclcl, libtclcl1-dev  (>=1.20-6~), perl (>=5.003), libperl4-corelibs-perl
Rules-Requires-Root: no
Standards-Version: 3.9.3
Vcs-Git: https://salsa.debian.org/debian/ns2.git
Vcs-Browser: https://salsa.debian.org/debian/ns2
Homepage: http://www.isi.edu/nsnam/ns/

Package: ns2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnuplot, ns2-examples
Description: discrete event simulator targeted at networking research
 ns-2 is a discrete event-driven network simulator targeted at networking
 research. It provides substantial support for simulation of TCP, routing,
 and multicast protocols over wired and wireless (local and satellite)
 networks.
 .
 An extensible simulation engine is implemented in C++ that uses MIT's
 Object Tool Command Language, OTcl (an object oriented version of Tcl)
 as the command and configuration interface. A previous version of the
 simulator i.e. ns version 1 used the Tool Command Language, Tcl as the
 configuration language. Ns-2 still supports simulation scripts written
 in Tcl meant for the ns version 1 simulator.
 .
 The simulator is invoked via the ns interpreter, an extension of the
 vanilla otclsh command shell. A simulation is defined by a OTcl script.
 The scripts use the Simulator Class as the principal interface to the
 simulation engine. Using the methods defined in this class, a network
 topology is defined, traffic sources and sinks are configured, the
 simulation is invoked, and the statistics are collected. By building
 upon a fully functional language, arbitrary actions can be programmed
 into the configuration.
 .
 Currently, ns-2 does not have an active development, all efforts moved
 to ns-3. Ns-2 still has models not implemented in ns-3, but if a new
 user does not need them, they may consider learning and using ns-3.

Package: ns2-doc
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Description: discrete event simulator targeted at networking research (documentation)
 ns-2 is a discrete event-driven network simulator targeted at networking
 research. It provides substantial support for simulation of TCP, routing,
 and multicast protocols over wired and wireless (local and satellite)
 networks.
 .
 An extensible simulation engine is implemented in C++ that uses MIT's
 Object Tool Command Language, OTcl (an object oriented version of Tcl)
 as the command and configuration interface. A previous version of the
 simulator i.e. ns version 1 used the Tool Command Language, Tcl as the
 configuration language. Ns-2 still supports simulation scripts written
 in Tcl meant for the ns version 1 simulator.
 .
 The simulator is invoked via the ns interpreter, an extension of the
 vanilla otclsh command shell. A simulation is defined by a OTcl script.
 The scripts use the Simulator Class as the principal interface to the
 simulation engine. Using the methods defined in this class, a network
 topology is defined, traffic sources and sinks are configured, the
 simulation is invoked, and the statistics are collected. By building
 upon a fully functional language, arbitrary actions can be programmed
 into the configuration.
 .
 Currently, ns-2 does not have an active development, all efforts moved
 to ns-3. Ns-2 still has models not implemented in ns-3, but if a new
 user does not need them, they may consider learning and using ns-3.
 .
 This package contains the documentation of ns-2.

Package: ns2-examples
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: discrete event simulator targeted at networking research (examples)
 ns-2 is a discrete event-driven network simulator targeted at networking
 research. It provides substantial support for simulation of TCP, routing,
 and multicast protocols over wired and wireless (local and satellite)
 networks.
 .
 An extensible simulation engine is implemented in C++ that uses MIT's
 Object Tool Command Language, OTcl (an object oriented version of Tcl)
 as the command and configuration interface. A previous version of the
 simulator i.e. ns version 1 used the Tool Command Language, Tcl as the
 configuration language. Ns-2 still supports simulation scripts written
 in Tcl meant for the ns version 1 simulator.
 .
 The simulator is invoked via the ns interpreter, an extension of the
 vanilla otclsh command shell. A simulation is defined by a OTcl script.
 The scripts use the Simulator Class as the principal interface to the
 simulation engine. Using the methods defined in this class, a network
 topology is defined, traffic sources and sinks are configured, the
 simulation is invoked, and the statistics are collected. By building
 upon a fully functional language, arbitrary actions can be programmed
 into the configuration.
 .
 Currently, ns-2 does not have an active development, all efforts moved
 to ns-3. Ns-2 still has models not implemented in ns-3, but if a new
 user does not need them, they may consider learning and using ns-3.
 .
 This package contains the examples of ns-2.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= dpkg-architecture -qDEB_HOST_MULTIARCH

CFLAGS += $(CPPFLAGS)

%:
	dh  $@ --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --x-libraries=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	#it takes too long time.
	-dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install --no-parallel

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.html

override_dh_install:
	cd tcl/test && sh ./remove.com
	dh_install -Xtest-output-

override_dh_compress:
	dh_compress -X.tcl -Xvalidate -Xtest-all-template1

dfsg-orig:
	cd ..; \
	TAR_NAME=`ls ns2_2.*.orig.tar.gz`; \
	tar xzf $$TAR_NAME; \
	rm ns-2.*/indep-utils/model-gen/crl_to_pcap; \
	rm ns-2.*/indep-utils/model-gen/output_format.pdf; \
	rm ns-2.*/indep-utils/model-gen/trace_processing.pdf; \
	rm ns-2.*/wpan/WPAN_ZBR_pub.pdf; \
	chmod a-x ns-2.*/tcl/test/test-sack; \
	tar Jcf `echo $$TAR_NAME| sed s/.orig.tar.gz/+dfsg.orig.tar.xz/g` ns-2.*/; \
	rm -rf ns-2.*

=== debian/tests/control ===
Test-Command: cat debian/tests/data/out.tr | md5sum > $AUTOPKGTEST_TMP/out.tr.md5sum;
              cp debian/tests/tcl/* $AUTOPKGTEST_TMP;
              cd $AUTOPKGTEST_TMP;
              ns simple-simul.tcl;
              cat out.tr | md5sum -c out.tr.md5sum
Restrictions: allow-stderr
